Summary: check_file nagios plugin
Name: check_file
Version: 1.1
Release: 1.fdr.1
License: GPL
Group: Applications/System
Source0: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Packager: James Bourne <jbourne@hardrock.org>
URL: http://www.hardrock.org/software/check_file

%description
check_file checks the timestamp on a file (modified time) and compares it to
the current time.  If the timestamp is older than warn or crit seconds it
will issue a warning or a critical.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/nagios/plugins
install -m 755 %{name} $RPM_BUILD_ROOT/usr/lib/nagios/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README Changes
%attr(0511,root,root) /usr/lib/nagios/plugins/check_file

%changelog
* Sat Mar  3 2007 James Bourne <jbourne@hardrock.org> (check_file-1.1-1.fdr.1)
- Added exist and invert flags
- Added more inforamtion to the README file
- Added Changes file

* Fri Mar  2 2007 James Bourne <jbourne@hardrock.org> (check_file-1.0-1.fdr.1)
- Initial Build
