#!/bin/bash
# ============================================================================
# 
# Just restart Apache
#
# ----------------------------------------------------------------------------
#
# TODO: 
#
# ============================================================================
#
. ./utils.sh

# ----------------
# Global Variables:
# ----------------
. ./params.sh

CheckRoot

if [ "$UPDATE" = "y" ]; then
	exit 0
fi

# ------------------
# Restart Apache
# ------------------
echo "Apache restart..." | tee -a "$OUTPUTFILE"
if [ -x /etc/init.d/$APACHE_PNAME ]; then
	/etc/init.d/$APACHE_PNAME restart
elif [ -x /etc/rc.d/init.d/$APACHE_PNAME ]; then
	/etc/rc.d/init.d/$APACHE_PNAME restart
elif [ -x /etc/init.d/apache2 ]; then
	# Added with v0.7.2: with SuSE, Apache process name is httpd2, 
	# but the script name is apache2 !
	/etc/init.d/apache2 restart
else
	echo "I don't known how to restart Apache. Please, do it by yourself !"
fi

exit 0

# EOF
