#!/bin/bash
# ============================================================================
# 
# Installation and configuration of additional tools
#
# ----------------------------------------------------------------------------
#
# TODO: 
#
# ============================================================================
#
. ./utils.sh

# ----------------
# Global Variables:
# ----------------
. ./params.sh

CheckRoot

if [ "$UPDATE" = "y" ]; then
	exit 0
fi

if [ ! -e "$TMPDIR/extras" ]; then
	mkdir "$TMPDIR/extras"
fi
if [ ! -e "$DSTDIR/extras" ]; then
	mkdir "$DSTDIR/extras"
fi

# ------------------
# webinject
# ------------------
perl -MCPAN -e 'install Crypt::SSLeay'
cp distrib/webinject-1.41.src.tar.gz "$TMPDIR/extras"
pushd tmp/extras >/dev/null
tar xvfz webinject-1.41.src.tar.gz >> "$OUTPUTFILE" 2>&1
cd webinject
cp webinject.pl *.xml $DSTDIR/extras
popd >/dev/null

exit 0

# EOF
