<?php
include_once "nagiosobject.class.php";

class ContactGroup extends NagiosObject
{
public function __construct()
{
	parent::__construct();
	$this->m_attrdef2 = ContactGroup::$m_attrdef;
	$this->m_objtype  = "ContactGroup";
	$this->m_objidref =& ContactGroup::$m_objid;
	$this->m_refby2   =& ContactGroup::$m_refby;	
	$this->m_implied2 =& ContactGroup::$m_impliedInheritance;
}

static private $m_objid = 0;

static private $m_attrdef = array (

	"contactgroup_name"	=> array (
		"type"	=> OA::SYMBOL_T,
		"flag"	=> OA::IS_MANDINDEX,
	),
	"__cfgfile" 	=> array ( 
		"type" 	=> OA::CFGFILE_T,
		"flag" 	=> OA::NOT_DUMPMAND,
	),
	"name"		=> array ( 
		"type"	=> OA::SYMBOL_T, 
		"flag"	=> OA::DONT_INHERIT,
	),
	"register"		=> array ( 
		"type"	=> OA::BOOL_T,
		"flag"	=> OA::DONT_INHERIT,
		"default"	=> "yes",
	),
	"use"		=> array ( 
		"type" 	=> OA::CONTGRPTEMPL_T 
	),
	"alias"		=> array (
		"type"	=> OA::COMMENT_T,
		"flag"	=> OA::IS_MANDATORY,
	),
	"members"	=> array (
		"type"	=> OA::CONTACTLIST_T,
		"flag"	=> OA::IS_MANDATORY,
	),
	# New from nagios 3.0:
	"contactgroup_members"	=> array (
		"type"	=> OA::CONTACTGRPLIST_T,
	),
);

static private $m_refby = array (
	"Host"		=> array ( "contact_groups", ),
	"Service"	=> array ( "contact_groups", ),
	"Contact"	=> array ( "contactgroups", ),
	"ServiceEscalation"	=> array ( "contact_groups", ),
	"HostEscalation"	=> array ( "contact_groups", ),
	"ContactGroup"	=> array ( "contactgroup_members", ),  # from nagios v3.0
);

static private $m_impliedInheritance = array (
);

};
?>
