<?php
include_once "nagiosobject.class.php";

class ServiceDependency extends NagiosObject
{
public function __construct()
{
	parent::__construct();
	$this->m_attrdef2 = ServiceDependency::$m_attrdef;
	$this->m_objtype  = "ServiceDependency";
	$this->m_objidref =& ServiceDependency::$m_objid;
	$this->m_refby2   =& ServiceDependency::$m_refby;
	$this->m_implied2 =& ServiceDependency::$m_impliedInheritance;
	$this->m_hasDetails = true;
}

static private $m_objid = 0;

static private $m_attrdef = array (

	"dependent_host_name"	=> array (
		"type"	=> OA::HOSTLIST_T,
		"flag"	=> OA::IS_MANDINDEX,
	),
	"__cfgfile" 	=> array ( 
		"type" 	=> OA::CFGFILE_T,
		"flag" 	=> OA::NOT_DUMPMAND,
	),
	"name"		=> array ( 
		"type"	=> OA::SYMBOL_T, 
		"flag"	=> OA::DONT_INHERIT,
	),
	"register"		=> array ( 
		"type"	=> OA::BOOL_T,
		"flag"	=> OA::DONT_INHERIT,
		"default"	=> "yes",
	),
	"use"		=> array ( 
		"type" 	=> OA::SRVDEPTEMPL_T 
	),
	# New from nagios 3.0:
	"dependent_hostgroup_name"	=> array (
		"type"	=> OA::HOSTGRPLIST_T,
	),
	"dependent_service_description"		=> array (
		"type"	=> OA::SERVICELIST_T,
		"flag"	=> OA::IS_MANDINDEXSTAR,
	),
	"host_name"		=> array (
		"type"	=> OA::HOSTLIST_T,
		"flag"	=> OA::IS_SEMIMANDINDEX,
		"mandgrp"	=> 1,
	),
	"hostgroup_name"		=> array (
		"type"	=> OA::HOSTGRPLIST_T,
		"flag"	=> OA::IS_SEMIMANDINDEX,
		"mandgrp"	=> 1,
	),
	"service_description"		=> array (
		"type"	=> OA::SERVICELIST_T,
		"flag"	=> OA::IS_MANDINDEXSTAR,
	),
	"inherits_parent"		=> array (
		"type"	=> OA::BOOL_T,
		"flag"	=> 0,
	),
	"execution_failure_criteria"		=> array (
		"type"	=> OA::EXECSRVFAIL_T,
		"flag"	=> 0,
	),
	"notification_failure_criteria"		=> array (
		"type"	=> OA::EXECSRVFAIL_T,
		"flag"	=> 0,
	),
	# New from nagios 3.0:
	"dependency_period"	=> array (
		"type"	=> OA::TIMEPERIOD_T,
		"detail"	=> true,
	),
);

static private $m_refby = array (
);

static private $m_impliedInheritance = array (
);

};
?>
