<?php
include_once "nagiosobject.class.php";

class ServiceGroup extends NagiosObject
{
public function __construct()
{
	parent::__construct();
	$this->m_attrdef2 = ServiceGroup::$m_attrdef;
	$this->m_objtype  = "ServiceGroup";
	$this->m_objidref =& ServiceGroup::$m_objid;
	$this->m_refby2   =& ServiceGroup::$m_refby;
	$this->m_implied2 =& ServiceGroup::$m_impliedInheritance;
	$this->m_hasDetails = true;
}

static private $m_objid = 0;

static private $m_attrdef = array (

	"servicegroup_name"	=> array (
		"type"	=> OA::SYMBOL_T,
		"flag"	=> OA::IS_MANDINDEX,
	),
	"__cfgfile" 	=> array ( 
		"type" 	=> OA::CFGFILE_T,
		"flag" 	=> OA::NOT_DUMPMAND,
	),
	"name"		=> array ( 
		"type"	=> OA::SYMBOL_T, 
		"flag"	=> OA::DONT_INHERIT,
	),
	"register"		=> array ( 
		"type"	=> OA::BOOL_T,
		"flag"	=> OA::DONT_INHERIT,
		"default"	=> "yes",
	),
	"use"		=> array ( 
		"type" 	=> OA::SRVGRPTEMPL_T 
	),
	"alias"		=> array (
		"type"	=> OA::COMMENT_T,
		"flag"	=> OA::IS_MANDATORY,
	),
	# TODO: can be defined multiple times ?
	"members"	=> array (
		"type"	=> OA::HOSTSRVLIST_T,
		"flag"	=> OA::IS_MANDATORY,
	),
	# New from nagios 3.0:
	"servicegroup_members"	=> array (
		"type"	=> OA::HOSTGRPLIST_T,
	),
	"notes"		=> array (
		"type"	=> OA::COMMENT_T,
		"detail"	=> true,
	),
	"notes_url"	=> array (
		"type"	=> OA::COMMENT_T,
		"detail"	=> true,
	),
	"action_url"	=> array (
		"type"	=> OA::COMMENT_T,
		"detail"	=> true,
	),
);

static private $m_refby = array (
	"Service"	=> array ( "servicegroups", ),
);

static private $m_impliedInheritance = array (
);

};
?>
