<?php
include_once "nagiosobject.class.php";

class Timeperiod extends NagiosObject
{
public function __construct()
{
	parent::__construct();
	$this->m_attrdef2 = Timeperiod::$m_attrdef;
	$this->m_objtype  = "Timeperiod";
	$this->m_objidref =& Timeperiod::$m_objid;
	$this->m_refby2   =& TimePeriod::$m_refby;
	$this->m_implied2 =& TimePeriod::$m_impliedInheritance;
	$this->m_hasDetails = true;
}

static private $m_objid = 0;

static private $m_attrdef = array (

	"timeperiod_name"	=> array (
		"type"	=> OA::SYMBOL_T,
		"flag"	=> OA::IS_MANDINDEX,
	),
	"__cfgfile" 	=> array ( 
		"type" 	=> OA::CFGFILE_T,
		"flag" 	=> OA::NOT_DUMPMAND,
	),
	"name"		=> array ( 
		"type"	=> OA::SYMBOL_T, 
		"flag"	=> OA::DONT_INHERIT,
	),
	"register"		=> array ( 
		"type"	=> OA::BOOL_T,
		"flag"	=> OA::DONT_INHERIT,
		"default"	=> "yes",
	),
	"use"		=> array ( 
		"type" 	=> OA::TIMETEMPL_T 
	),
	"alias"		=> array (
		"type"	=> OA::COMMENT_T,
	),
	"sunday"	=> array (
		"type"	=> OA::TIMERANGELIST_T,
	),
	"monday"	=> array (
		"type"	=> OA::TIMERANGELIST_T,
	),
	"tuesday"	=> array (
		"type"	=> OA::TIMERANGELIST_T,
	),
	"wednesday"	=> array (
		"type"	=> OA::TIMERANGELIST_T,
	),
	"thursday"	=> array (
		"type"	=> OA::TIMERANGELIST_T,
	),
	"friday"	=> array (
		"type"	=> OA::TIMERANGELIST_T,
	),
	"saturday"	=> array (
		"type"	=> OA::TIMERANGELIST_T,
	),
	# TODO new weekday syntax
	# TODO [exception] missing
	# New from nagios 3.0:
	"exclude"	=> array (
		"type"	=> OA::TIMEPERIODLIST_T,
		"detail"	=> true,
	),
);

static private $m_refby = array (
	"Host"		=> array ( "check_period", "notification_period", ),
	"Service"	=> array ( "check_period", "notification_period", ),
	"Contact"	=> array ( "host_notification_period",  "service_notification_period", ),
	"ServiceEscalation"	=> array ( "escalation_period", ),
	"HostEscalation"	=> array ( "escalation_period", ),
	"HostDependency"	=> array ( "dependency_period", ), # from nagios v3.0
	"ServiceDependency"	=> array ( "dependency_period", ), # from nagios v3.0
);

static private $m_impliedInheritance = array (
);

};
?>
