<?php
include_once "actionbase.inc.php";

class Action extends ActionBase
{
public $m_sigs = array (
		'hostname'  => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
				),
	);

public function Run()
{
	global $gDB;
	global $gErrorMSG;

	$_REQUEST['__ajax'] = 1;
	
	try {
		$objlist = $gDB->GetObjectOfType("Service");
	}
	catch (Exception $e) {
		$gErrorMSG = "Internal Error: ".$e->getMessage();
		return;
	}

	// Examine each Service to check if it belongs to the Host:
	$hostname = $_REQUEST['hostname'];
	$output = "";

	foreach ($objlist as $obj) {
		$objid = $obj['__objid'];
		$curobj = $gDB->BuildObject("Service",$objid);
		$gDB->BuildObjectInherited($curobj);

		if ($curobj->IsTemplate()) {
			continue;
		}

		$attr = $curobj->GetAttr();
		if ($attr['host_name'] == $hostname) {
			if ($output) $output .= "||";
			$output .= $attr['service_description'];
		}
	}

	echo $output;
}

};
?>
