<?php
include_once "actionbase.inc.php";
include_once "displayobject.inc.php";

class Action extends ActionBase
{
public $m_sigs = array (
		'__objtype' => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
			 	),
		'__objid'	  => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'onlydigit'
				),
		'detail'	  => array (
				'req' => false, 
				'type' => 'boolean',
				'filter' => 'boolean'
				),
	);

public function Run()
{
	global $gDB;
	global $gSMG;
	global $gShowDetail;
	
	$objtype = $_REQUEST['__objtype'];
	$objid   = $_REQUEST['__objid'];
	$showDetail = isset($_REQUEST['detail']) ? $_REQUEST['detail'] : $gShowDetail;

	if (!ObjectFactory::IsValidObjectType($objtype)) {
		$gErrorMSG = "Internal Error: Object Type '$objtype' not supported !";
		return;
	}

	try {
		$ze_obj = $gDB->BuildObject($objtype,$objid);
		//print_r($ze_obj);
		$gDB->BuildObjectInherited($ze_obj);
		//echo "<br>";
		//print_r($ze_obj);
	}
	catch (Exception $e) {
		$gMSG = "Internal Error: ".$e->getMessage();
		return;
	}

	$add_msg = array();
	DisplayObject("Edit",$this,$objtype,$objid,$ze_obj,$add_msg,$showDetail);
}

};
?>
