<?php
include_once "actionbase.inc.php";
include_once "displayobject.inc.php";
include_once "../conf/config.class.php";

class Action extends ActionBase
{
public $m_sigs = array (
			'dirname' => array (
					'req' => true, 
					'type' => 'string',
					'filter' => 'filename'
					),
	);

public function Run()
{
	global $gErrorMSG,$gMSG;
	global $gDB;

	$dirname = $_REQUEST['dirname'];

	// The Directory must exist:
	if (!is_dir($dirname)) {
		$gErrorMSG = "The Directory '$dirname' does not exist.";
		$this->DisplayContinueButton();
		return;
	}

	$conf = new Config($gDB);
        try {
		$conf->DeleteConfDir($dirname);
        }
        catch (Exception $e) {
                $gErrorMSG = "Database error: ".$e->getMessage();
                return;
        }

	$gMSG = "Directory removed from Nagios Configuration";
	$this->DisplayContinueButton();
}

public function DisplayContinueButton()
{
	$this->Output("<div align=center>");
	$this->Output("<form action=index.php>");
	$this->Output("<input type=hidden name=action value=editfiles>");
	$this->Output("<input class=button type=submit name=submit value=Continue>");
	$this->Output("</form>");
	$this->Output("</div>");
}

};
?>
