<?php
include_once "actionbase.inc.php";
include_once "displayobject.inc.php";
include_once "rrdgraph.inc.php";

class Action extends ActionBase
{
public $m_sigs = array (
		'__objtype' => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
			 	),
	);

public function Run()
{
	global $gDB;
	global $gMSG;
	global $gErrorMSG;
	
	$objtype = $_REQUEST['__objtype'];
	if (!ObjectFactory::IsValidObjectType($objtype)) {
		$gErrorMSG = "Internal Error: Object Type '$objtype' not supported !";
		return;
	}

	$this->Output("<div class=title>New <i>$objtype</i> Creation</div><hr>");
	$this->Output("<br><div class=listhdr>Please choose one of the following options:</div><br>");

	try {
		$tpllist = $gDB->GetTemplateList($objtype);
	}
	catch (Exception $e) {
		$gErrorMSG = "Internal Error: ".$e->getMessage();
		return;
	}

	$this->Output('<form action="index.php" method=post>');
	$this->Output("<input type=hidden name=action value=emptyobject>");
	$this->Output("<input type=hidden name=__objtype value=$objtype>");
	$this->Output("<table>");
	$this->Output("<tr><td class=stdtext>");
	$this->Output("<input type=radio name=tplname value=_new_tpl_ checked> Create a new <i>$objtype</i> Template<br>");
	$this->Output("</td></tr><tr><td class=stdtext>");
	$this->Output("<input type=radio name=tplname value=_new_notpl_> Create a new <i>$objtype</i> Object without Template<br>");
	$this->Output("</td></tr>");
	foreach ($tpllist as $tpl) {
		$this->Output("<tr><td class=stdtext>");
		$this->Output("<input type=radio name=tplname value='${tpl['name']}'> Create a new <i>$objtype</i> Object from <i>${tpl['name']}</i> Template<br>");
		$this->Output("</td></tr>");
	}
	$this->Output("<tr><td class=stdtext><div align=center><br>");
	$this->Output("<input class=button type=submit name=Continue value=Continue> ");
	$this->Output("<input class=button type=submit name=Discard value=Discard> ");
	$this->Output("</div></td></tr></table>");
	$this->Output("</form>");
}

};
?>
