<?php
include_once "actionbase.inc.php";

class Action extends ActionBase
{
public $m_sigs = array (
		'__nomenu' => array (
				'req' => false, 
                                'type' => 'integer',
			 	),
	);

public function Run()
{
	global $gNagiosDocumentRoot;
	global $gDB;
	global $gMSG;
	
	// Display the header:
	$this->Output("<div class=title>Plugin List</div><hr>");
	
	$this->Output("<table>\n");
	$this->Output("<tr class=rowhdr><th>Syntax</th><th>Name</th></tr>");
	
	// Open and read the plugin directory:
	if (!($dirh = @opendir("$gNagiosDocumentRoot/../libexec"))) {
		$gMSG = "Could not open '$gNagiosDocumentRoot/../libexec' Directory";
		return;
	}

	// from v1.0.1: get the plugin list and build a sorted array:
	$plugins = array();
	while ($fname = @readdir($dirh)) {
		if ($fname == "." || $fname == "..") continue;
		
		// must be executable - .pm are excluded
		if (substr($fname,-3) == ".pm") continue;
		if (is_executable("$gNagiosDocumentRoot/../libexec/$fname"))
			array_push($plugins,$fname);
	}
	@closedir($dirh);
	sort($plugins);

	$objnu = 0;
	foreach ($plugins as $plugin) {
		if (($objnu % 2) == 0)		
			$cellclass = "evenCell";
		else 
			$cellclass = "oddCell";
		$objnu++;
			
		$this->Output("<tr class=$cellclass>");			
		$this->Output("<td><a href=\"index.php?action=showpluginsyntax&plugin_name=$plugin&__nomenu=".$_REQUEST['__nomenu']."\">Show Syntax</a></td>");
		$this->Output("<td>$plugin</td>");
		$this->Output("</tr>\n");
	}
		
	$this->Output("</table>\n");
}

};
?>
