<?php
include_once "nagiosobject.class.php";

class Command extends NagiosObject
{
public function __construct()
{
	parent::__construct();
	$this->m_attrdef2 = Command::$m_attrdef;
	$this->m_objtype  = "Command";
	$this->m_objidref =& Command::$m_objid;
	$this->m_refby2   =& Command::$m_refby;
	$this->m_implied2 =& Command::$m_impliedInheritance;
}

static private $m_objid = 0;

static private $m_attrdef = array (

	"command_name"	=> array (
		"type"	=> OA::SYMBOL_T,
		"flag"	=> OA::IS_MANDINDEX,
	),
	"__cfgfile" 	=> array ( 
		"type" 	=> OA::CFGFILE_T,
		"flag" 	=> OA::NOT_DUMPMAND,
	),
	"name"		=> array ( 
		"type"	=> OA::SYMBOL_T,
		"flag"	=> OA::DONT_INHERIT, 
	),
	"register"		=> array ( 
		"type"	=> OA::BOOL_T,
		"flag"	=> OA::DONT_INHERIT,
		"default"	=> "yes",
	),
	"use"		=> array ( 
		"type" 	=> OA::CMDTEMPL_T 
	),
	"command_line"	=> array (
		"type"	=> OA::COMMENT_T,
		"flag"	=> OA::IS_MANDATORY,
	),
);

static private $m_refby = array (
	"Host"		=> array ( "check_command", "event_handler", ),
	"Service"	=> array ( "check_command", "event_handler", ),
	"Contact"	=> array ( "host_notification_commands", "service_notification_commands", ),
);

static private $m_impliedInheritance = array (
);

};
?>
