<?php
# from v1.0.3: "pidof" path is given by a global variable set at install time
include "../mmi/config.inc.php";

class Daemon
{
const METHOD_COMMAND 	= 1;
const METHOD_SUDO	= 2;

static public function IsRunning()
{
	global $gPidofCommand;

	$cmd = "$gPidofCommand nagios >/dev/null 2>&1";
	$lastline = @exec($cmd,$output,$ret);

	if ($ret) return false;
	
	return true;
}

// Note: you can here change the way to test nagios is running:
static public function ReloadNagios($method,$restartcmd,$cmdfile,&$error,&$output)
{
	global $gPidofCommand;

	switch ($method) {
	case Daemon::METHOD_COMMAND:
		// If you choose to send a RESTART_PROGRAM command,
		// obviously, nagios must be running first !
        	if (!Daemon::IsRunning()) {
			$error = "Nagios is not running...";
			return false;
		}

	        @exec("echo \"[`date +'%s'`] RESTART_PROGRAM;\" > $cmdfile/var/rw/nagios.cmd",$output,$ret);
	        @exec("sleep 3; $gPidofCommand nagios >/dev/null 2>&1",$output,$ret);
		break;
		
	case Daemon::METHOD_SUDO:
	        @exec("$restartcmd",$output,$ret);
		break;
	
	default:
		$error = "Unknown Reload Method";
		return false;
	}
	
	// 0 = ok
	if (!$ret) return true;
	
        return false;
}

};
?>
