<?php

class Logger
{
public function __construct()
{
	/* fixed in v0.4 */
	if (@file_exists($this->m_logfile))
		@chmod($this->m_logfile,0666);
}

public function __destruct()
{
}

public function SetDebug($level)
{
	$this->m_debug = $level;
}

public function Debug($msg)
{
	if ($this->m_debug)
		error_log("$msg\n",3,$this->m_logfile);
}

public function Log($msg)
{
	error_log("$msg\n",3,$this->m_logfile);
}

private $m_logfile = "/tmp/eznag.log";
private $m_debug = false;
};

$gLogger = new Logger();
if (isset($GLOBALS['gDebugMode']))
	$gLogger->SetDebug($GLOBALS['gDebugMode']);
?>
