<?php
include_once "host.class.php";
include_once "hostgroup.class.php";
include_once "service.class.php";
include_once "servicegroup.class.php";
include_once "timeperiod.class.php";
include_once "command.class.php";
include_once "contact.class.php";
include_once "contactgroup.class.php";
include_once "servicedependency.class.php";
include_once "serviceescalation.class.php";
include_once "hostdependency.class.php";
include_once "hostescalation.class.php";	# host escalation are normally not used
include_once "extendedhostinfo.class.php";
include_once "extendedserviceinfo.class.php";

class ObjectFactory
{

static public function GetObjectTypeList()
{
	return ObjectFactory::$gm_objtype;
}

static public function Factory($objtype)
{
	if (!in_array(strtolower($objtype),ObjectFactory::GetObjectTypeList()))
		throw new Exception("Unknown Object Type: $objtype");
		
	return new $objtype; 
}

static public function IsValidObjectType($objtype)
{
	if (in_array(strtolower($objtype),ObjectFactory::GetObjectTypeList()))
		return true;
		
	return false;
}

static private $gm_objtype = array (
					"host", 
					"hostgroup",
					"service", 
					"servicegroup",
					"timeperiod",
					"command",
					"contact",
					"contactgroup",
					"servicedependency",
					"serviceescalation",
					"hostdependency",
					"hostescalation",
					"hostextinfo",
					"serviceextinfo",
		 		);
};
?>
