<?php
include_once "nagiosobject.class.php";

class ServiceEscalation extends NagiosObject
{
public function __construct()
{
	parent::__construct();
	$this->m_attrdef2 = ServiceEscalation::$m_attrdef;
	$this->m_objtype  = "ServiceEscalation";
	$this->m_objidref =& ServiceEscalation::$m_objid;
	$this->m_refby2   =& ServiceEscalation::$m_refby;
	$this->m_implied2 =& ServiceEscalation::$m_impliedInheritance;
}

static private $m_objid = 0;

static private $m_attrdef = array (

	"host_name"		=> array (
		"type"	=> OA::HOSTLIST_T,
		"flag"	=> OA::IS_SEMIMANDINDEXSTAR,
		"mandgrp"	=> 1,
	),
	"hostgroup_name"		=> array (
		"type"	=> OA::HOSTGRPLIST_T,
		"flag"	=> OA::IS_SEMIMANDINDEX,
		"mandgrp"	=> 1,
	),
	"__cfgfile" 	=> array ( 
		"type" 	=> OA::CFGFILE_T,
		"flag" 	=> OA::NOT_DUMPMAND,
	),
	"name"		=> array ( 
		"type"	=> OA::SYMBOL_T, 
		"flag"	=> OA::DONT_INHERIT,
	),
	"register"		=> array ( 
		"type"	=> OA::BOOL_T,
		"flag"	=> OA::DONT_INHERIT,
		"default"	=> "yes",
	),
	"use"		=> array ( 
		"type" 	=> OA::SRVESCTEMPL_T 
	),
	"service_description"		=> array (
		"type"	=> OA::COMMENT_T,
		"flag"	=> OA::IS_MANDINDEXSTAR,
	),
	# New from nagios 3.0:
	"contacts"		=> array (
		"type"	=> OA::CONTACTLIST_T,
		"flag"	=> OA::IS_SEMIMAND,
		"mandgrp"	=> 2,
	),
	"contact_groups"		=> array (
		"type"	=> OA::CONTACTGRPLIST_T,
		"flag"	=> OA::IS_SEMIMAND,
		"mandgrp"	=> 2,
	),
	"first_notification"		=> array (
		"type"	=> OA::NUMERIC_T,
		"flag"	=> OA::IS_MANDATORY,
	),
	"last_notification"		=> array (
		"type"	=> OA::NUMERIC_T,
		"flag"	=> OA::IS_MANDATORY,
	),
	"notification_interval"		=> array (
		"type"	=> OA::NUMERIC_T,
		"flag"	=> OA::IS_MANDATORY,
	),
	"escalation_period"		=> array (
		"type"	=> OA::TIMEPERIOD_T,
		"flag"	=> 0,
	),
	"escalation_options"		=> array (
		"type"	=> OA::ESCALSRVOPT_T,
		"flag"	=> 0,
	),
);

static private $m_refby = array (
);

static private $m_impliedInheritance = array (
    "contact_groups"        => array ( "refattr" => "host_name", "objtype" => "Service", "attrname" => "contact_groups" ),
    "notification_interval" => array ( "refattr" => "host_name", "objtype" => "Service", "attrname" => "notification_interval" ),
    "escalation_period"     => array ( "refattr" => "host_name", "objtype" => "Service", "attrname" => "notification_period" ),
);

};
?>
