<?php
include_once "actionbase.inc.php";
include_once "../conf/log.class.php";
include_once "../conf/config.class.php";
include_once "../conf/database.class.php";

class Action extends ActionBase
{
public $m_sigs = array ();

public function Run()
{
	global $gLogger;
	global $gDebugMode;
	global $gMSG;
	global $gDBFile;
	global $gDB;
	global $gMainConfigFileName;
	global $gMustRebuildURL;
		
	$gLogger->SetDebug($gDebugMode);

	try {
		@unlink($gDBFile);
		$gDB = new Database($gDBFile);
		$gDB->Create();
	}
	catch (Exception $e) {
		$gMSG = "Database error: ".$e->getMessage();
		
		ob_start();
		$action = "Rebuild";
		$output = implode("",file("$gMustRebuildURL"));
		$output = eval("?>$output"); 
		$output = ob_get_contents();
		ob_end_clean();
		$this->Output($output);
		return;
	}

	// Get the Main Configuration File:
	$conf = new Config($gDB);
	
	if (!($ret = $conf->ReadMainFile())) {
		$gMSG = $conf->GetLastError();
		$action = "Rebuild";
		$this->Output(file("$gMustRebuildURL"));
		return;
	}
	
	// Process each resource file:
	try {
		$filelist = $gDB->GetMainFileList();
	}
	catch (Exception $e) {
		$gMSG = "Database error: ".$e->getMessage();
		$action = "Rebuild";
		$this->Output(file("$gMustRebuildURL"));
		return;
	}

	foreach ($filelist as $file) {
		$this->Output("Process ".$file['filename']."<br>");
	}		
}

};
