<?php
include_once "actionbase.inc.php";
include_once "../conf/log.class.php";
include_once "../conf/config.class.php";
include_once "config.inc.php";

class Action extends ActionBase
{
public $m_sigs = array ();

public function Run()
{
	global $gReloadMethod;
	global $gRestartCommand;
	global $gMSG;
	global $gErrorMSG;
	global $gDB;
	
	$conf = new Config($gDB);
	$mainfile = $conf->GetNagiosMainFileName();
	if ($mainfile == "") {
		$gErrorMSG = "Unable to find the Main Configuration Filename. Please, update 'config.inc.php' file";
		return;
	}
	
	$dir = dirname(dirname($mainfile));
	
	$error = 0;
	Daemon::ReloadNagios($gReloadMethod,$gRestartCommand,$dir,$error,$output);
	$this->DisplayCommandOutput($output);

	if (Daemon::IsRunning()) {
		$gMSG = "Nagios successfully restarted";
		$gDB->SetInternalParm("ShouldRestart",0);
	}
	else {
		$gErrorMSG = "Nagios did not restart";
	}
}

};
