<?php
#
# Run nmap and parse the XML Output.
# Returns a HTML page with the detected host and service list.
#
# Note: apache must have the sudo right for nmap !
#
include_once "actionbase.inc.php";
include_once "nmap.inc.php";

// Variable used by the XML callback functions:
$gHosts = array();
$curaddr = "";
$curproto = "";
$cuport = "";
$curname = "";
$insideHost = false;

class Action extends ActionBase
{
public $m_sigs = array (
	);

public function Init()
{
}

public function Run()
{
	global $gNmapCommand;
	global $nmap_lock_file;
	global $nmap_tcp_result;
	global $nmap_udp_result;

	$_REQUEST['__ajax'] = 1;

	$cmd = "ps -edf | grep 'nmap.*-sS' | grep -v grep";
	$output = array();
	$lastline = exec($cmd,$output,$status);
	if ($status == 0 && count($output) > 0) {
		echo "TCP Scan in progress";
		return;
	}

	$cmd = "ps -edf | grep 'nmap.*-sU' | grep -v grep";
	$output = array();
	$lastline = exec($cmd,$output,$status);
	if ($status == 0 && count($output) > 0) {
		echo "UDP Scan in progress";
		return;
	}

	@unlink($nmap_lock_file);

	echo "Not scanning";
}

};

?>
