<?php
include_once "../conf/daemon.class.php";

// Nagios parameters:
$gDBFile		= "../temp/config_db.bin";
$gNagiosDocumentRoot	= "/usr/local/nagios2/share";
$gNagiosBaseURL		= "/nagios";
$gMainConfigFileName	= "/usr/local/nagios2/etc/nagios.cfg";
$gCGIConfigFileName	= "/usr/local/nagios2/etc/cgi.cfg";
$gBackupDir		= "../backup";
$gReloadMethod		= Daemon::METHOD_SUDO;
$gDebugMode		= true;
$gStartCommand		= "sudo /etc/init.d/nagios start";
$gRestartCommand	= "sudo /etc/init.d/nagios restart";
$gStopCommand		= "sudo /etc/init.d/nagios stop";
$gTestCommand		= "sudo /usr/local/nagios2/bin/nagios -v /usr/local/nagios2/etc/nagios.cfg";
$gStatCommand		= "/usr/local/nagios2/bin/nagiostats -c /usr/local/nagios2/etc/nagios.cfg";

// Apache parameters:
$gApacheAuthFile	= "/usr/local/nagios2/etc/htdigest";
$gApacheAuthCommand	= "/usr/local/nagios2/eznag/support/htdigest";
#$gApacheAuthFile	= "/usr/local/nagios/etc/htpasswd";
#$gApacheAuthCommand	= "/usr/bin/htpasswd";

// GUI parameters:
$gVersion		= "1.1.0";
$gMustRebuildURL	= "rebuild.html";
$gMustStartURL		= "start.html";
$gShowInheritedUsage	= true;
$gShowReferenceUsage	= true;
$gShowDetail		= true;
$gMultiSelectRows	= 6;
$gShowInternals		= false;
$gAdminUsers		= "nagios";
$gWithNagvis		= true;
$gPidofCommand		= "/sbin/pidof";

// RRDTool parameters:
$gMakeRRDGraph		= true;
$gRRDToolCommand	= "/usr/local/rrdtool/bin/rrdtool";
$gRRDGraphDir		= "/software/eznag-$gVersion/php/rrd";

// Other globals:
$gShouldSaveConfig	= false;
$gShouldRestart		= false;
$g_use_sqlite		= false;
$g_use_pdo_sqlite	= false;
?>
