<?php
include_once "../conf/log.class.php";
include_once "../conf/config.class.php";
include_once "../conf/database.class.php";
include_once "actionbase.inc.php";
include_once "rrdgraph.inc.php";

class Action extends ActionBase
{
public $m_sigs = array (
		'host' => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
			 	),
		'service'	  => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
				),
		);

public function Init()
{
}

public function Run()
{
	global $gMSG;
	global $gErrorMSG;

	$host = $_REQUEST['host'];
	$service = $_REQUEST['service'];
	$rrdfile = GetRRDFileName($host,$service);

	if (!is_readable($rrdfile)) {
		$gErrorMSG = "RRD Database '$rrdfile' could not be opened in read mode";
		return;
	}

	$this->Output("<h2>Statistics for Service $service of Host $host</h2>");
	#LASTSTAT=`egrep -e "SERVICE;$HOST;$SVCNAME" /usr/local/nagios/var/status.log`
	#LASTMESS=`echo $LASTSTAT|cut -d ";" -f 32-`
	#$this->Output("<b>$lastmsg</b><br/>");

	$w = 500; $h = 75;
	$args = "width=$w&height=$h";

	$this->Output("Statistics for the last hour:<BR>");
	$this->Output("<img src=index.php?action=generategraph&host=$host&service=$service&scale=3600&$args><br>");
	$this->Output("Statistics for the last 24 hours:<BR>");
	$this->Output("<img src=index.php?action=generategraph&host=$host&service=$service&scale=86400&$args><br>");
	$this->Output("Statistics for the last week:<BR>");
	$this->Output("<img src=index.php?action=generategraph&host=$host&service=$service&scale=604800&$args><br>");
	$this->Output("Statistics for the last Month:<BR>");
	$this->Output("<img src=index.php?action=generategraph&host=$host&service=$service&scale=2851200&$args><br>");
	$this->Output("Statistics for the last Year:<BR>");
	$this->Output("<img src=index.php?action=generategraph&host=$host&service=$service&scale=31557600&$args><br>");
}

};
?>
