<?php
include_once "actionbase.inc.php";
include_once "displayobject.inc.php";

class Action extends ActionBase
{
public $m_sigs = array (
		'__objtype' => array (
				'req' => false, 
				'type' => 'string',
				'filter' => 'addslashes'
			 	),
	);

public function Run()
{
	global $gMSG;
	global $gDB;

	$objtype = isset($_REQUEST['__objtype']) ? $_REQUEST['__objtype'] : "";

	// Display the menu:
	$this->Output("<table border=1>");
	$this->Output("<tr>");
	$this->Output("<td><a href=\"?action=dumpdb&__objtype=Host\">Hosts</a></td>");
	$this->Output("<td>Host Groups</td><td>Host Dependency</td><td>Host Escalations</td><td>Extended Host Info</td></tr>");
	$this->Output("<tr>");
	$this->Output("<td><a href=\"?action=dumpdb&__objtype=Auth\">Authorization</a></td>");
	$this->Output("<td></td><td></td><td></td><td></td></tr>");
	$this->Output("</table>");

	if (!$objtype) return;

	if ($objtype == "Auth") {
		$authlist = $gDB->GetUsersAuth();
		$this->Output("<table border=1>");
		foreach ($authlist as $auth) {
			$this->Output("<tr class=cell><td>${auth['user']}</td><td>");
			foreach ($auth as $key => $val) {
				if ($key == "user") continue;
				$this->Output("$key=>$val,");
			}
			$this->Output("</td></tr>");
		}
		$this->Output("</table><br>");
		return;
	}
		
	// Process each resource file:
	try {
		$objlist = $gDB->GetObjectOfType($objtype);
	}
	catch (Exception $e) {
		$gMSG = "Database error: ".$e->getMessage();
		return;
	}

	$this->Output("<br>");
	foreach ($objlist as $obj) {
		$this->Output("<table border=1>");
		foreach ($obj as $k => $v) {
			$this->Output("<tr class=cell><td>$k</td><td>$v</td></tr>");
		}
		$this->Output("</table><br>");
	}

}

};
?>
