<?php
include_once "actionbase.inc.php";
include_once "displayobject.inc.php";
include_once "../conf/objectfactory.class.php";

class Action extends ActionBase
{
public $m_sigs = array (
		'__objtype' => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
			 	),
		'tplname' => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
			 	),
		'Discard' => array (
				'req' => false, 
				'type' => 'string',
				'filter' => 'addslashes'
			 	),
		'detail'	  => array (
				'req' => false, 
				'type' => 'boolean',
				'filter' => 'boolean'
				),
	);

public function Run()
{
	global $gDB;
	global $gMSG;
	global $gShowDetail;
	
	$showDetail = isset($_REQUEST['detail']) ? $_REQUEST['detail'] : $gShowDetail;
	$objtype = $_REQUEST['__objtype'];
	if (!ObjectFactory::IsValidObjectType($objtype)) {
		$gErrorMSG = "Internal Error: Object Type '$objtype' not supported !";
		return;
	}

	if (isset($_REQUEST['Discard']) && $_REQUEST['Discard']) {
		$gMSG = "$objtype Creation discarded";
		DisplayContinueButton($this,$objtype);
		return;
	}

	$add_msg = array();
	$emptyobj = ObjectFactory::Factory($objtype);

	// Specific cases:
	if (isset($_REQUEST['tplname'])) {
		if ($_REQUEST['tplname'] == "_new_tpl_") {
			$emptyobj->AddAttr('register',"0");
			$emptyobj->AddAttr('name','-->Fill here<--');
		}
		else if ($_REQUEST['tplname'] == "_new_notpl_") {
		}
		else {
			// Use the specified template:
			$emptyobj->AddAttr('use',$_REQUEST['tplname']);
			try {
				$gDB->BuildObjectInherited($emptyobj);
			}
			catch (Exception $e) {
				$gErrorMSG = "Internal Error: ".$e->getMessage();
				return;
			}
		}
	}

	DisplayObject("New",$this,$objtype,-1,$emptyobj,$add_msg,$showDetail);
}

};
?>
