<?php
include_once "actionbase.inc.php";
include_once "../conf/log.class.php";
include_once "../conf/config.class.php";
include_once "../conf/database.class.php";
include_once "rrdgraph.inc.php";

class Action extends ActionBase
{
public $m_sigs = array (
		'host' => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
			 	),
		'service'	  => array (
				'req' => true, 
				'type' => 'string',
				'filter' => 'addslashes'
				),
		'scale'   => array (
				'req' => true, 
				'type' => 'integer',
				'filter' => 'addslashes'
				),
		'width'	  => array (
				'req' => true, 
				'type' => 'integer',
				'filter' => 'addslashes'
				),
		'height'  => array (
				'req' => true, 
				'type' => 'integer',
				'filter' => 'addslashes'
				),
		);

public function Init()
{
}

public function Run()
{
	global $gMSG;
	global $gErrorMSG;

	$imgtype = "PNG";
	header("Content-Type: image$imgtype");

	$scale  = $_REQUEST['scale'];
	$width  = $_REQUEST['width'];
	$height = $_REQUEST['height'];
	$host   = $_REQUEST['host'];
	$service = $_REQUEST['service'];
	$rrdfile = GetRRDFileName($host,$service);
	$unit    = "ms";
	$extra   = "";
	$title   = "\"\"";

	if ($width == "" || $height == "") {
		$width = 640;
		$height = 100;
	}
	
	$arg = "";
	/*
	for ( $ind = 0 ; $ind < count($graphargs) ; $ind++ ) {
		$dsname = $graphargs[$ind]['dsname'];
		$drtype = $graphargs[$ind]['drawtype'];
		$color  = $graphargs[$ind]['color'];
		$arg = "$arg DEF:var$ind=$rrdfile:$dsname:AVERAGE $drtype:var${ind}${color}:$dsname";
		#ARG="$ARG DEF:var$N=$RRDFILE:$DSNAME:AVERAGE $TYPE:var${N}$COL:$DSNAME:"
	}
	*/
	# TODO: add the label and the coordinates unit

	$dsname = GetDSName($service);
	$arg = "DEF:var1=$rrdfile:$dsname:AVERAGE LINE1:var1#FF0000:$dsname";

	# Generate the image
	$cmd = "${GLOBALS['gRRDToolCommand']} graph - -s -$scale -a $imgtype -t $title -v $unit -w $width -h $height $extra $arg";
	passthru($cmd);
}

};
?>
