<?php
include_once "config.inc.php";
include_once "sanitize.inc.php";

$sigs = array (
		'action' => array (
				'req' => false, 
				'type' => 'string',
				'filter' => 'onlyletter'
			 	),
	);

$GLOBALS['gMSG'] = "";
$GLOBALS['gErrorMSG'] = "";
	
// New from v1.0.1: only authorized users can access the Web interface:
$users = explode(",",$gAdminUsers);
if (!isset($_SERVER['AUTH_TYPE']) || !isset($_SERVER['REMOTE_USER'])) {
	$GLOBALS['gErrorMSG'] = "You must be authentified to use this interface";
	$_REQUEST['action'] = "default";
}
$isauth = false;
foreach ($users as $user) {
	if ($user == $_SERVER['REMOTE_USER']) {
		$isauth = true;
		break;
	}
}
if (!$isauth) {
	$GLOBALS['gErrorMSG'] = "Only Authorized Users can use this interface";
	$_REQUEST['action'] = "default";
}
// end of auth check

$parms = $_REQUEST;
if (!SanitizeParms($_REQUEST,$sigs))
	$_REQUEST['action'] = "default";

if (!isset($_REQUEST['action']) || empty($_REQUEST['action'])) {
	$action = "default";
}
else {
	$action = $_REQUEST['action'];
	if ($action == "Retest") $action = "default";
}
		
$_REQUEST = $parms;
if (!file_exists("$action.php")) {
	$GLOBALS['gMSG'] = "bad action: $action";
	$action = "default";
}

# v0.6: Check for SQLite and PDO_sqlite:
$loadedext = get_loaded_extensions();
if (in_array("SQLite",$loadedext)) {
	$g_use_sqlite = true;
	$g_use_pdo = false;
}
else if (in_array("pdo_sqlite",$loadedext)) {
	$g_use_sqlite = false;
	$g_use_pdo_sqlite = true;
}
else {
	include "header.inc.php";
	echo "'sqlite' or 'pdo_sqlite' extensions are needed but not detected - Please recompile PHP !";
	include "footer.inc.php";
	die;
}

include_once "actionbase.inc.php";
if ($action != "default")
	include_once "nagiosconf.inc.php";
	
include_once "$action.php";
$obj_action = new Action();

if (SanitizeParms($_REQUEST,$obj_action->m_sigs)) {
	// reinject the "action" parm:
	$_REQUEST['action'] = $action;

	$obj_action->Run();
	include "header.inc.php";
	echo $obj_action->getOutput();
	include "footer.inc.php";
}
else {
	include "header.inc.php";
	include "footer.inc.php";
}
?>
